curl --request POST \ --url https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data '{ "referenceId": "JARVI001", "projectId": "713a8005-e54d-4ee3-b6a4-89b27167dde6", "firstName": "Quentin", "lastName": "Decré", "emailAddresses": "quentin@jarvi.tech, quentin@decre.tech", "phoneNumbers": "+33752626164,0240493773", "linkedinUrl": "https://www.linkedin.com/in/quentindecre/", "historyEntrySubject": "Application from website", "historyEntryMessage": "The message of the historyentry you want to show in the profile’s Jarvi history", "resumesFiles": [ { "fileName": "cv.pdf", "data": "data:@file/pdf;base64,JVBERi0......AABTLAAAAAA=" } ], "files": [ { "fileName": "motivation.docx", "data": "data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA=" } ], "externalId": "Your id. Will merge with exisiting profile with same externalId", "id": "Jarvi uuid. Will merge with exisiting profile with same id", "location": "Rennes, France", "headline": "Co-Founder Jarvi", "currentCompanyName": "Jarvi", "currentCompanyId": "713a8005-e54d-4ee3-b6a4-89b27167dde6", "currentPosition": "Co-founder", "<any custom field uuid>": "My custom field value for this profile"}'
import requests
url = "https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants"
payload = {
"referenceId": "JARVI001",
"projectId": "713a8005-e54d-4ee3-b6a4-89b27167dde6",
"firstName": "Quentin",
"lastName": "Decré",
"emailAddresses": "quentin@jarvi.tech, quentin@decre.tech",
"phoneNumbers": "+33752626164,0240493773",
"linkedinUrl": "https://www.linkedin.com/in/quentindecre/",
"historyEntrySubject": "Application from website",
"historyEntryMessage": "The message of the historyentry you want to show in the profile’s Jarvi history",
"resumesFiles": [
{
"fileName": "cv.pdf",
"data": "data:@file/pdf;base64,JVBERi0......AABTLAAAAAA="
}
],
"files": [
{
"fileName": "motivation.docx",
"data": "data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA="
}
],
"externalId": "Your id. Will merge with exisiting profile with same externalId",
"id": "Jarvi uuid. Will merge with exisiting profile with same id",
"location": "Rennes, France",
"headline": "Co-Founder Jarvi",
"currentCompanyName": "Jarvi",
"currentCompanyId": "713a8005-e54d-4ee3-b6a4-89b27167dde6",
"currentPosition": "Co-founder",
"<any custom field uuid>": "My custom field value for this profile"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
referenceId: 'JARVI001',
projectId: '713a8005-e54d-4ee3-b6a4-89b27167dde6',
firstName: 'Quentin',
lastName: 'Decré',
emailAddresses: 'quentin@jarvi.tech, quentin@decre.tech',
phoneNumbers: '+33752626164,0240493773',
linkedinUrl: 'https://www.linkedin.com/in/quentindecre/',
historyEntrySubject: 'Application from website',
historyEntryMessage: 'The message of the historyentry you want to show in the profile’s Jarvi history',
resumesFiles: [{fileName: 'cv.pdf', data: 'data:@file/pdf;base64,JVBERi0......AABTLAAAAAA='}],
files: [
{
fileName: 'motivation.docx',
data: 'data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA='
}
],
externalId: 'Your id. Will merge with exisiting profile with same externalId',
id: 'Jarvi uuid. Will merge with exisiting profile with same id',
location: 'Rennes, France',
headline: 'Co-Founder Jarvi',
currentCompanyName: 'Jarvi',
currentCompanyId: '713a8005-e54d-4ee3-b6a4-89b27167dde6',
currentPosition: 'Co-founder',
'<any custom field uuid>': 'My custom field value for this profile'
})
};
fetch('https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'referenceId' => 'JARVI001',
'projectId' => '713a8005-e54d-4ee3-b6a4-89b27167dde6',
'firstName' => 'Quentin',
'lastName' => 'Decré',
'emailAddresses' => 'quentin@jarvi.tech, quentin@decre.tech',
'phoneNumbers' => '+33752626164,0240493773',
'linkedinUrl' => 'https://www.linkedin.com/in/quentindecre/',
'historyEntrySubject' => 'Application from website',
'historyEntryMessage' => 'The message of the historyentry you want to show in the profile’s Jarvi history',
'resumesFiles' => [
[
'fileName' => 'cv.pdf',
'data' => 'data:@file/pdf;base64,JVBERi0......AABTLAAAAAA='
]
],
'files' => [
[
'fileName' => 'motivation.docx',
'data' => 'data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA='
]
],
'externalId' => 'Your id. Will merge with exisiting profile with same externalId',
'id' => 'Jarvi uuid. Will merge with exisiting profile with same id',
'location' => 'Rennes, France',
'headline' => 'Co-Founder Jarvi',
'currentCompanyName' => 'Jarvi',
'currentCompanyId' => '713a8005-e54d-4ee3-b6a4-89b27167dde6',
'currentPosition' => 'Co-founder',
'<any custom field uuid>' => 'My custom field value for this profile'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants"
payload := strings.NewReader("{\n \"referenceId\": \"JARVI001\",\n \"projectId\": \"713a8005-e54d-4ee3-b6a4-89b27167dde6\",\n \"firstName\": \"Quentin\",\n \"lastName\": \"Decré\",\n \"emailAddresses\": \"quentin@jarvi.tech, quentin@decre.tech\",\n \"phoneNumbers\": \"+33752626164,0240493773\",\n \"linkedinUrl\": \"https://www.linkedin.com/in/quentindecre/\",\n \"historyEntrySubject\": \"Application from website\",\n \"historyEntryMessage\": \"The message of the historyentry you want to show in the profile’s Jarvi history\",\n \"resumesFiles\": [\n {\n \"fileName\": \"cv.pdf\",\n \"data\": \"data:@file/pdf;base64,JVBERi0......AABTLAAAAAA=\"\n }\n ],\n \"files\": [\n {\n \"fileName\": \"motivation.docx\",\n \"data\": \"data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA=\"\n }\n ],\n \"externalId\": \"Your id. Will merge with exisiting profile with same externalId\",\n \"id\": \"Jarvi uuid. Will merge with exisiting profile with same id\",\n \"location\": \"Rennes, France\",\n \"headline\": \"Co-Founder Jarvi\",\n \"currentCompanyName\": \"Jarvi\",\n \"currentCompanyId\": \"713a8005-e54d-4ee3-b6a4-89b27167dde6\",\n \"currentPosition\": \"Co-founder\",\n \"<any custom field uuid>\": \"My custom field value for this profile\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"referenceId\": \"JARVI001\",\n \"projectId\": \"713a8005-e54d-4ee3-b6a4-89b27167dde6\",\n \"firstName\": \"Quentin\",\n \"lastName\": \"Decré\",\n \"emailAddresses\": \"quentin@jarvi.tech, quentin@decre.tech\",\n \"phoneNumbers\": \"+33752626164,0240493773\",\n \"linkedinUrl\": \"https://www.linkedin.com/in/quentindecre/\",\n \"historyEntrySubject\": \"Application from website\",\n \"historyEntryMessage\": \"The message of the historyentry you want to show in the profile’s Jarvi history\",\n \"resumesFiles\": [\n {\n \"fileName\": \"cv.pdf\",\n \"data\": \"data:@file/pdf;base64,JVBERi0......AABTLAAAAAA=\"\n }\n ],\n \"files\": [\n {\n \"fileName\": \"motivation.docx\",\n \"data\": \"data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA=\"\n }\n ],\n \"externalId\": \"Your id. Will merge with exisiting profile with same externalId\",\n \"id\": \"Jarvi uuid. Will merge with exisiting profile with same id\",\n \"location\": \"Rennes, France\",\n \"headline\": \"Co-Founder Jarvi\",\n \"currentCompanyName\": \"Jarvi\",\n \"currentCompanyId\": \"713a8005-e54d-4ee3-b6a4-89b27167dde6\",\n \"currentPosition\": \"Co-founder\",\n \"<any custom field uuid>\": \"My custom field value for this profile\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"referenceId\": \"JARVI001\",\n \"projectId\": \"713a8005-e54d-4ee3-b6a4-89b27167dde6\",\n \"firstName\": \"Quentin\",\n \"lastName\": \"Decré\",\n \"emailAddresses\": \"quentin@jarvi.tech, quentin@decre.tech\",\n \"phoneNumbers\": \"+33752626164,0240493773\",\n \"linkedinUrl\": \"https://www.linkedin.com/in/quentindecre/\",\n \"historyEntrySubject\": \"Application from website\",\n \"historyEntryMessage\": \"The message of the historyentry you want to show in the profile’s Jarvi history\",\n \"resumesFiles\": [\n {\n \"fileName\": \"cv.pdf\",\n \"data\": \"data:@file/pdf;base64,JVBERi0......AABTLAAAAAA=\"\n }\n ],\n \"files\": [\n {\n \"fileName\": \"motivation.docx\",\n \"data\": \"data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA=\"\n }\n ],\n \"externalId\": \"Your id. Will merge with exisiting profile with same externalId\",\n \"id\": \"Jarvi uuid. Will merge with exisiting profile with same id\",\n \"location\": \"Rennes, France\",\n \"headline\": \"Co-Founder Jarvi\",\n \"currentCompanyName\": \"Jarvi\",\n \"currentCompanyId\": \"713a8005-e54d-4ee3-b6a4-89b27167dde6\",\n \"currentPosition\": \"Co-founder\",\n \"<any custom field uuid>\": \"My custom field value for this profile\"\n}"
response = http.request(request)
puts response.read_body
Save a new job application in Jarvi. It creates the profile if it does not exist, upload the file, link the profile to the recruitment project,…
Creates or update a profile and job application
curl --request POST \ --url https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data '{ "referenceId": "JARVI001", "projectId": "713a8005-e54d-4ee3-b6a4-89b27167dde6", "firstName": "Quentin", "lastName": "Decré", "emailAddresses": "quentin@jarvi.tech, quentin@decre.tech", "phoneNumbers": "+33752626164,0240493773", "linkedinUrl": "https://www.linkedin.com/in/quentindecre/", "historyEntrySubject": "Application from website", "historyEntryMessage": "The message of the historyentry you want to show in the profile’s Jarvi history", "resumesFiles": [ { "fileName": "cv.pdf", "data": "data:@file/pdf;base64,JVBERi0......AABTLAAAAAA=" } ], "files": [ { "fileName": "motivation.docx", "data": "data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA=" } ], "externalId": "Your id. Will merge with exisiting profile with same externalId", "id": "Jarvi uuid. Will merge with exisiting profile with same id", "location": "Rennes, France", "headline": "Co-Founder Jarvi", "currentCompanyName": "Jarvi", "currentCompanyId": "713a8005-e54d-4ee3-b6a4-89b27167dde6", "currentPosition": "Co-founder", "<any custom field uuid>": "My custom field value for this profile"}'
import requests
url = "https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants"
payload = {
"referenceId": "JARVI001",
"projectId": "713a8005-e54d-4ee3-b6a4-89b27167dde6",
"firstName": "Quentin",
"lastName": "Decré",
"emailAddresses": "quentin@jarvi.tech, quentin@decre.tech",
"phoneNumbers": "+33752626164,0240493773",
"linkedinUrl": "https://www.linkedin.com/in/quentindecre/",
"historyEntrySubject": "Application from website",
"historyEntryMessage": "The message of the historyentry you want to show in the profile’s Jarvi history",
"resumesFiles": [
{
"fileName": "cv.pdf",
"data": "data:@file/pdf;base64,JVBERi0......AABTLAAAAAA="
}
],
"files": [
{
"fileName": "motivation.docx",
"data": "data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA="
}
],
"externalId": "Your id. Will merge with exisiting profile with same externalId",
"id": "Jarvi uuid. Will merge with exisiting profile with same id",
"location": "Rennes, France",
"headline": "Co-Founder Jarvi",
"currentCompanyName": "Jarvi",
"currentCompanyId": "713a8005-e54d-4ee3-b6a4-89b27167dde6",
"currentPosition": "Co-founder",
"<any custom field uuid>": "My custom field value for this profile"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
referenceId: 'JARVI001',
projectId: '713a8005-e54d-4ee3-b6a4-89b27167dde6',
firstName: 'Quentin',
lastName: 'Decré',
emailAddresses: 'quentin@jarvi.tech, quentin@decre.tech',
phoneNumbers: '+33752626164,0240493773',
linkedinUrl: 'https://www.linkedin.com/in/quentindecre/',
historyEntrySubject: 'Application from website',
historyEntryMessage: 'The message of the historyentry you want to show in the profile’s Jarvi history',
resumesFiles: [{fileName: 'cv.pdf', data: 'data:@file/pdf;base64,JVBERi0......AABTLAAAAAA='}],
files: [
{
fileName: 'motivation.docx',
data: 'data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA='
}
],
externalId: 'Your id. Will merge with exisiting profile with same externalId',
id: 'Jarvi uuid. Will merge with exisiting profile with same id',
location: 'Rennes, France',
headline: 'Co-Founder Jarvi',
currentCompanyName: 'Jarvi',
currentCompanyId: '713a8005-e54d-4ee3-b6a4-89b27167dde6',
currentPosition: 'Co-founder',
'<any custom field uuid>': 'My custom field value for this profile'
})
};
fetch('https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'referenceId' => 'JARVI001',
'projectId' => '713a8005-e54d-4ee3-b6a4-89b27167dde6',
'firstName' => 'Quentin',
'lastName' => 'Decré',
'emailAddresses' => 'quentin@jarvi.tech, quentin@decre.tech',
'phoneNumbers' => '+33752626164,0240493773',
'linkedinUrl' => 'https://www.linkedin.com/in/quentindecre/',
'historyEntrySubject' => 'Application from website',
'historyEntryMessage' => 'The message of the historyentry you want to show in the profile’s Jarvi history',
'resumesFiles' => [
[
'fileName' => 'cv.pdf',
'data' => 'data:@file/pdf;base64,JVBERi0......AABTLAAAAAA='
]
],
'files' => [
[
'fileName' => 'motivation.docx',
'data' => 'data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA='
]
],
'externalId' => 'Your id. Will merge with exisiting profile with same externalId',
'id' => 'Jarvi uuid. Will merge with exisiting profile with same id',
'location' => 'Rennes, France',
'headline' => 'Co-Founder Jarvi',
'currentCompanyName' => 'Jarvi',
'currentCompanyId' => '713a8005-e54d-4ee3-b6a4-89b27167dde6',
'currentPosition' => 'Co-founder',
'<any custom field uuid>' => 'My custom field value for this profile'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants"
payload := strings.NewReader("{\n \"referenceId\": \"JARVI001\",\n \"projectId\": \"713a8005-e54d-4ee3-b6a4-89b27167dde6\",\n \"firstName\": \"Quentin\",\n \"lastName\": \"Decré\",\n \"emailAddresses\": \"quentin@jarvi.tech, quentin@decre.tech\",\n \"phoneNumbers\": \"+33752626164,0240493773\",\n \"linkedinUrl\": \"https://www.linkedin.com/in/quentindecre/\",\n \"historyEntrySubject\": \"Application from website\",\n \"historyEntryMessage\": \"The message of the historyentry you want to show in the profile’s Jarvi history\",\n \"resumesFiles\": [\n {\n \"fileName\": \"cv.pdf\",\n \"data\": \"data:@file/pdf;base64,JVBERi0......AABTLAAAAAA=\"\n }\n ],\n \"files\": [\n {\n \"fileName\": \"motivation.docx\",\n \"data\": \"data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA=\"\n }\n ],\n \"externalId\": \"Your id. Will merge with exisiting profile with same externalId\",\n \"id\": \"Jarvi uuid. Will merge with exisiting profile with same id\",\n \"location\": \"Rennes, France\",\n \"headline\": \"Co-Founder Jarvi\",\n \"currentCompanyName\": \"Jarvi\",\n \"currentCompanyId\": \"713a8005-e54d-4ee3-b6a4-89b27167dde6\",\n \"currentPosition\": \"Co-founder\",\n \"<any custom field uuid>\": \"My custom field value for this profile\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"referenceId\": \"JARVI001\",\n \"projectId\": \"713a8005-e54d-4ee3-b6a4-89b27167dde6\",\n \"firstName\": \"Quentin\",\n \"lastName\": \"Decré\",\n \"emailAddresses\": \"quentin@jarvi.tech, quentin@decre.tech\",\n \"phoneNumbers\": \"+33752626164,0240493773\",\n \"linkedinUrl\": \"https://www.linkedin.com/in/quentindecre/\",\n \"historyEntrySubject\": \"Application from website\",\n \"historyEntryMessage\": \"The message of the historyentry you want to show in the profile’s Jarvi history\",\n \"resumesFiles\": [\n {\n \"fileName\": \"cv.pdf\",\n \"data\": \"data:@file/pdf;base64,JVBERi0......AABTLAAAAAA=\"\n }\n ],\n \"files\": [\n {\n \"fileName\": \"motivation.docx\",\n \"data\": \"data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA=\"\n }\n ],\n \"externalId\": \"Your id. Will merge with exisiting profile with same externalId\",\n \"id\": \"Jarvi uuid. Will merge with exisiting profile with same id\",\n \"location\": \"Rennes, France\",\n \"headline\": \"Co-Founder Jarvi\",\n \"currentCompanyName\": \"Jarvi\",\n \"currentCompanyId\": \"713a8005-e54d-4ee3-b6a4-89b27167dde6\",\n \"currentPosition\": \"Co-founder\",\n \"<any custom field uuid>\": \"My custom field value for this profile\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://functions.prod.jarvi.tech/v1/public-api/rest/v2/applicants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"referenceId\": \"JARVI001\",\n \"projectId\": \"713a8005-e54d-4ee3-b6a4-89b27167dde6\",\n \"firstName\": \"Quentin\",\n \"lastName\": \"Decré\",\n \"emailAddresses\": \"quentin@jarvi.tech, quentin@decre.tech\",\n \"phoneNumbers\": \"+33752626164,0240493773\",\n \"linkedinUrl\": \"https://www.linkedin.com/in/quentindecre/\",\n \"historyEntrySubject\": \"Application from website\",\n \"historyEntryMessage\": \"The message of the historyentry you want to show in the profile’s Jarvi history\",\n \"resumesFiles\": [\n {\n \"fileName\": \"cv.pdf\",\n \"data\": \"data:@file/pdf;base64,JVBERi0......AABTLAAAAAA=\"\n }\n ],\n \"files\": [\n {\n \"fileName\": \"motivation.docx\",\n \"data\": \"data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA=\"\n }\n ],\n \"externalId\": \"Your id. Will merge with exisiting profile with same externalId\",\n \"id\": \"Jarvi uuid. Will merge with exisiting profile with same id\",\n \"location\": \"Rennes, France\",\n \"headline\": \"Co-Founder Jarvi\",\n \"currentCompanyName\": \"Jarvi\",\n \"currentCompanyId\": \"713a8005-e54d-4ee3-b6a4-89b27167dde6\",\n \"currentPosition\": \"Co-founder\",\n \"<any custom field uuid>\": \"My custom field value for this profile\"\n}"
response = http.request(request)
puts response.read_body
Sie können Ihren öffentlichen API-Schlüssel für diese Anfrage verwenden. Das ermöglicht es Ihnen, dies direkt im
Javascript-Code der Website zu tun.
Die maximale Größe der Anfrage beträgt 4,5 MB. Wir empfehlen Ihnen, die Größe Ihres Lebenslauf-Upload-Feldes auf eine
kleinere Größe zu begrenzen.
Sie können alles im Profil über Benutzerdefinierte Felder speichern. Klicken Sie auf diesen Link, um zu verstehen, wie Sie Informationen in benutzerdefinierten Feldern lesen und schreiben können.
(rarely used) As for the reference id, but with the Jarvi internal project id. You can use projectId, referenceId or none of them if you want to create a profile without linking it to a project
The current company name of the profile (creates a work experience / position line on the profile). If not provided, will be extracted from the resume or Linkedin URL. Note: this does NOT link the profile as a contact of a company record. To attach a contact to a company, use the data.associations payload with a COMPANY_CONTACT association (see currentCompanyId).
Deprecated: this field no longer creates a company association. To attach a profile as a contact of an existing company, pass a data object with an associations array, e.g. data: { associations: [{ associationType: "COMPANY_CONTACT", company: { jarviId: "" } }] }. Use company.jarviId for an existing Jarvi company, or company.externalId + name + statusId to upsert one.
Any custom field you want to add to the profile. You can find the uuid of the custom field in the Jarvi settings. If you want to provide multiple values, you can separate them with a comma
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Jarvi API","description":"REST and GraphQL API for Jarvi, the ATS and CRM for recruiters: read and write profiles, projects, companies, job offers and files.","colors":{"primary":"#3f51b5","light":"#536dfe","dark":"#3f51b5"},"logo":{"light":"https://mintcdn.com/jarvi/zfeOt5s4dppEKtLQ/logo/light.svg?fit=max\u0026auto=format\u0026n=zfeOt5s4dppEKtLQ\u0026q=85\u0026s=70ba4480bc5fa3b9cdada42ea035676e","dark":"https://mintcdn.com/jarvi/zfeOt5s4dppEKtLQ/logo/dark.svg?fit=max\u0026auto=format\u0026n=zfeOt5s4dppEKtLQ\u0026q=85\u0026s=a5372a1e0094022cd04b91a90e68cb3a"},"favicon":"https://mintcdn.com/jarvi/zfeOt5s4dppEKtLQ/favicon.svg?fit=max\u0026auto=format\u0026n=zfeOt5s4dppEKtLQ\u0026q=85\u0026s=0e1925e59a25d45bb593d76d60281aa3","api":{"openapi":"https://functions.prod.jarvi.tech/v1/public-api/openapi","playground":{"display":"none"}},"navbar":{"links":[{"href":"mailto:quentin+api@jarvi.tech","label":"Support"}],"primary":{"type":"button","label":"Login","href":"https://app.jarvi.tech"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/jarvi-tech"}},"seo":{"metatags":{"robots":"noindex, nofollow"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"jarvi","hasAudioNarration":false,"actualSubdomain":"jarvi","customDomains":["api-docs.jarvi.tech"],"gitSource":{"type":"github","owner":"quentin-decre","repo":"jarvi","deployBranch":"prod","contentDirectory":"apps/docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a78564a2e856f62f08b9ac3","collectionId":"e14cd6a6-081d-4094-b845-6a850014ef68","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a78564a2e856f62f08b9ac3"},"entitlements":{},"buildId":"6a98bd8fdd91abe3c914c391:failure","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"Deutsch","count":16},{"language":"default","tag":"English","count":16},{"language":"default","tag":"Español","count":16},{"language":"default","tag":"Francais","count":16},{"language":"default","tag":"Italiano","count":16},{"language":"default","tag":"Nederlands","count":16},{"language":"default","tag":"REST API Referenz","count":8},{"language":"default","tag":"REST API Reference","count":8},{"language":"default","tag":"Referencia API REST","count":8},{"language":"default","tag":"Référence de l'API REST","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"de/api-reference/applicants/post","slug":"/de/api-reference/applicants/post","pageMetadata":{"title":"[Bewerbung] Erstellen oder aktualisieren","openapi":"POST /rest/v2/applicants","description":"Save a new job application in Jarvi. It creates the profile if it does not exist, upload the file, link the profile to the recruitment project,...","href":"/de/api-reference/applicants/post"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Save a new job application in Jarvi. It creates the profile if it does not exist, upload the file, link the profile to the recruitment project,…\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Tip,Warning}=_components;if(!Tip)_missingMdxReference(`Tip`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(Tip,{children:_jsxs(_components.p,{children:[`Sie können Ihren `,_jsx(_components.strong,{children:`öffentlichen API-Schlüssel`}),` für diese Anfrage verwenden. Das ermöglicht es Ihnen, dies direkt im\nJavascript-Code der Website zu tun.`]})}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`Die maximale Größe der Anfrage beträgt 4,5 MB. Wir empfehlen Ihnen, die Größe Ihres Lebenslauf-Upload-Feldes auf eine\nkleinere Größe zu begrenzen.`})}),`\n`,_jsxs(_components.p,{children:[`Sie können alles im Profil über `,_jsx(_components.a,{href:`/de/custom-fields`,children:`Benutzerdefinierte Felder`}),` speichern. Klicken Sie auf diesen Link, um zu verstehen, wie Sie Informationen in benutzerdefinierten Feldern lesen und schreiben können.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"[Bewerbung] Erstellen oder aktualisieren","openapi":"POST /rest/v2/applicants","description":"Save a new job application in Jarvi. It creates the profile if it does not exist, upload the file, link the profile to the recruitment project,...","href":"/de/api-reference/applicants/post"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Creates or update a profile and job application","security":["d76fae59-b832-4545-9b2b-1a602274c870"],"description":"Save a new job application in Jarvi. It creates the profile if it does not exist, upload the file, link the profile to the recruitment project,...","requestBody":"660575a1-77e2-45f5-ba10-0a18415520f6","responses":{"201":"d7c902ce-5b9c-428c-ae0d-5274bf746c79","400":"3a56bf62-9dd2-4aa3-bdea-97fea6107008","500":"63209f17-07c7-4835-92e1-8d5b13ed1b15"},"method":"post","type":"path","servers":["5d0c1226-0d80-4452-8224-0f7ca3caa41f"],"path":"/rest/v2/applicants","baseUrlOptions":["https://functions.prod.jarvi.tech/v1/public-api"],"title":"Creates or update a profile and job application","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"referenceId":{"type":"string","description":"The reference id of the job application. If provided, Jarvi will associate the profile to the right recruitment project","example":"JARVI001","uniqueKey":"referenceId","typeLabel":"string"},"projectId":{"type":"string","description":"(rarely used) As for the reference id, but with the Jarvi internal project id. You can use projectId, referenceId or none of them if you want to create a profile without linking it to a project","example":"713a8005-e54d-4ee3-b6a4-89b27167dde6","uniqueKey":"projectId","typeLabel":"string"},"firstName":{"type":"string","description":"If not provided, will be extracted from the resume or Linkedin URL. If no resume or Linkedin URL, will be required","example":"Quentin","uniqueKey":"firstName","typeLabel":"string"},"lastName":{"type":"string","description":"If not provided, will be extracted from the resume or Linkedin URL. If no resume or Linkedin URL, will be required","example":"Decré","uniqueKey":"lastName","typeLabel":"string"},"emailAddresses":{"type":"string","description":"Multiple email addresses separated by a comma. If not provided, will be extracted from the resume or Linkedin URL.","example":"quentin@jarvi.tech, quentin@decre.tech","uniqueKey":"emailAddresses","typeLabel":"string"},"phoneNumbers":{"type":"string","description":"Multiple phone numbers separated by a comma. If not provided, will be extracted from the resume or Linkedin URL.","example":"+33752626164,0240493773","uniqueKey":"phoneNumbers","typeLabel":"string"},"linkedinUrl":{"type":"string","description":"The linkedin URL of the profile. If provided, Jarvi will extract the profile informations from the linkedin profile","example":"https://www.linkedin.com/in/quentindecre/","uniqueKey":"linkedinUrl","typeLabel":"string"},"historyEntrySubject":{"type":"string","description":"The subject of the historyentry you want to show in the profile’s Jarvi history. If not provided, will be \"Candidature depuis formulaire web\"","example":"Application from website","uniqueKey":"historyEntrySubject","typeLabel":"string"},"historyEntryMessage":{"type":"string","description":"The message of the historyentry you want to show in the profile’s Jarvi history","example":"The message of the historyentry you want to show in the profile’s Jarvi history","uniqueKey":"historyEntryMessage","typeLabel":"string"},"resumesFiles":{"type":"array","description":"The resume(s) of the profile. Will be parsed by Jarvi. Remember to convert to base64 before sending","items":{"type":"object","properties":{"fileName":{"type":"string","description":"The name of the file, including the extension","example":"cv.pdf","uniqueKey":"resumesFiles.items.[INDEX].fileName","typeLabel":"string"},"data":{"type":"string","description":"The base64 of the file.","example":"data:@file/pdf;base64,JVBERi0......AABTLAAAAAA=","uniqueKey":"resumesFiles.items.[INDEX].data","typeLabel":"string"}},"uniqueKey":"resumesFiles.items.[INDEX]","typeLabel":"object"},"uniqueKey":"resumesFiles","typeLabel":"object[]"},"files":{"type":"array","description":"(rarely used) Any file you want to upload with the profile. Will not be parsed. Remember to convert to base64 before sending","items":{"type":"object","properties":{"fileName":{"type":"string","description":"The name of the file, including the extension","example":"motivation.docx","uniqueKey":"files.items.[INDEX].fileName","typeLabel":"string"},"data":{"type":"string","description":"The base64 of the file.","example":"data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA=","uniqueKey":"files.items.[INDEX].data","typeLabel":"string"}},"uniqueKey":"files.items.[INDEX]","typeLabel":"object"},"uniqueKey":"files","typeLabel":"object[]"},"externalId":{"type":"string","description":"(rarely used) Your id. Will merge with exisiting profile with same externalId","example":"Your id. Will merge with exisiting profile with same externalId","uniqueKey":"externalId","typeLabel":"string"},"id":{"type":"string","description":"(rarely used) Jarvi uuid. Will merge with exisiting profile with same id","example":"Jarvi uuid. Will merge with exisiting profile with same id","uniqueKey":"id","typeLabel":"string"},"location":{"type":"string","description":"The location of the profile. If not provided, will be extracted from the resume or Linkedin URL","example":"Rennes, France","uniqueKey":"location","typeLabel":"string"},"headline":{"type":"string","description":"The headline of the profile. If not provided, will be extracted from the resume or Linkedin URL","example":"Co-Founder Jarvi","uniqueKey":"headline","typeLabel":"string"},"currentCompanyName":{"type":"string","description":"The current company name of the profile (creates a work experience / position line on the profile). If not provided, will be extracted from the resume or Linkedin URL. Note: this does NOT link the profile as a contact of a company record. To attach a contact to a company, use the `data.associations` payload with a COMPANY_CONTACT association (see currentCompanyId).","example":"Jarvi","uniqueKey":"currentCompanyName","typeLabel":"string"},"currentCompanyId":{"type":"string","deprecated":true,"description":"Deprecated: this field no longer creates a company association. To attach a profile as a contact of an existing company, pass a `data` object with an `associations` array, e.g. data: { associations: [{ associationType: \"COMPANY_CONTACT\", company: { jarviId: \"\u003ccompanyId>\" } }] }. Use company.jarviId for an existing Jarvi company, or company.externalId + name + statusId to upsert one.","example":"713a8005-e54d-4ee3-b6a4-89b27167dde6","uniqueKey":"currentCompanyId","typeLabel":"string"},"currentPosition":{"type":"string","description":"The current job title of the profile. If not provided, will be extracted from the resume or Linkedin URL","example":"Co-founder","uniqueKey":"currentPosition","typeLabel":"string"},"\u003cany custom field uuid>":{"type":"string","description":"Any custom field you want to add to the profile. You can find the uuid of the custom field in the Jarvi settings. If you want to provide multiple values, you can separate them with a comma","example":"My custom field value for this profile","uniqueKey":"\u003cany custom field uuid>","typeLabel":"string"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"referenceId":"JARVI001","projectId":"713a8005-e54d-4ee3-b6a4-89b27167dde6","firstName":"Quentin","lastName":"Decré","emailAddresses":"quentin@jarvi.tech, quentin@decre.tech","phoneNumbers":"+33752626164,0240493773","linkedinUrl":"https://www.linkedin.com/in/quentindecre/","historyEntrySubject":"Application from website","historyEntryMessage":"The message of the historyentry you want to show in the profile’s Jarvi history","resumesFiles":[{"fileName":"cv.pdf","data":"data:@file/pdf;base64,JVBERi0......AABTLAAAAAA="}],"files":[{"fileName":"motivation.docx","data":"data:@file/vnd.openxmlformats-officedocument.wordprocessingml.document;base64,UEsDBBQ......AABTLAAAAAA="}],"externalId":"Your id. Will merge with exisiting profile with same externalId","id":"Jarvi uuid. Will merge with exisiting profile with same id","location":"Rennes, France","headline":"Co-Founder Jarvi","currentCompanyName":"Jarvi","currentCompanyId":"713a8005-e54d-4ee3-b6a4-89b27167dde6","currentPosition":"Co-founder","\u003cany custom field uuid>":"My custom field value for this profile"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"d7c902ce-5b9c-428c-ae0d-5274bf746c79":{"description":"The application has been saved","content":{"application/json":{"schema":{"properties":{"message":{"type":"string","example":"Profile saved successfully","uniqueKey":"message","typeLabel":"string"},"taskId":{"type":"string","example":"0b538428-7652-4243-baaf-3867803d7007","uniqueKey":"taskId","typeLabel":"string"},"profileId":{"type":"string","example":"d730cca9-d8b0-49e7-b2e0-c58c1bb7af9f","uniqueKey":"profileId","typeLabel":"string"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"Profile saved successfully","taskId":"0b538428-7652-4243-baaf-3867803d7007","profileId":"d730cca9-d8b0-49e7-b2e0-c58c1bb7af9f"}}},"exampleType":"generated"}},"exampleType":"generated"},"3a56bf62-9dd2-4aa3-bdea-97fea6107008":{"description":"Cannot save profile, see details","content":{"application/json":{"schema":{"properties":{"message":{"type":"string","example":"Error details","uniqueKey":"message","typeLabel":"string"},"taskId":{"type":"string","example":"0b538428-7652-4243-baaf-3867803d7007","uniqueKey":"taskId","typeLabel":"string"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"Error details","taskId":"0b538428-7652-4243-baaf-3867803d7007"}}},"exampleType":"generated"}},"exampleType":"generated"},"63209f17-07c7-4835-92e1-8d5b13ed1b15":{"description":"Unknown error","content":{"application/json":{"schema":{"properties":{"message":{"type":"string","example":"An error occured","uniqueKey":"message","typeLabel":"string"},"taskId":{"type":"string","example":"0b538428-7652-4243-baaf-3867803d7007","uniqueKey":"taskId","typeLabel":"string"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"An error occured","taskId":"0b538428-7652-4243-baaf-3867803d7007"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"d76fae59-b832-4545-9b2b-1a602274c870":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY","scopes":[]}}},"servers":{"5d0c1226-0d80-4452-8224-0f7ca3caa41f":{"url":"https://functions.prod.jarvi.tech/v1/public-api"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-KEY","scopes":[]},"schema":{"title":"X-API-KEY","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"X-API-KEY"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"https://functions.prod.jarvi.tech/v1/public-api/openapi"},"subdomain":"jarvi","siteName":"Jarvi API","title":"[Bewerbung] Erstellen oder aktualisieren - Jarvi API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-10-18T13:18:24.463Z","originalFileLocation":"de/api-reference/applicants/post.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Save a new job application in Jarvi. It creates the profile if it does not exist, upload the file, link the profile to the recruitment project,...\">\u003cmeta data-mint-head name=\"application-name\" content=\"Jarvi API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex, nofollow\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/jarvi/ajsRUPPicFIhMUb9/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/jarvi/ajsRUPPicFIhMUb9/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/jarvi/ajsRUPPicFIhMUb9/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/jarvi/ajsRUPPicFIhMUb9/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/jarvi/ajsRUPPicFIhMUb9/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/jarvi/ajsRUPPicFIhMUb9/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/jarvi/ajsRUPPicFIhMUb9/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/jarvi/ajsRUPPicFIhMUb9/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/jarvi/ajsRUPPicFIhMUb9/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"[Bewerbung] Erstellen oder aktualisieren - Jarvi API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Save a new job application in Jarvi. It creates the profile if it does not exist, upload the file, link the profile to the recruitment project,...\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Jarvi API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://api-docs.jarvi.tech/de/api-reference/applicants/post\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://jarvi.mintlify.app/_mintlify/api/og/v2?division=REST+API+Referenz\u0026amp;title=%5BBewerbung%5D+Erstellen+oder+aktualisieren\u0026amp;description=Save+a+new+job+application+in+Jarvi.+It+creates+the+profile+if+it+does+not+exist%2C+upload+the+file%2C++link+the+profile+to+the+recruitment+project%2C...\u0026amp;theme=3aadee90ce248321a1d14e1d\u0026amp;signature=3c15d0015b18827c9cb2926fa73f437652ce51e121f3a6a8b94d2dd83a9eca61\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"[Bewerbung] Erstellen oder aktualisieren - Jarvi API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Save a new job application in Jarvi. It creates the profile if it does not exist, upload the file, link the profile to the recruitment project,...\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://jarvi.mintlify.app/_mintlify/api/og/v2?division=REST+API+Referenz\u0026amp;title=%5BBewerbung%5D+Erstellen+oder+aktualisieren\u0026amp;description=Save+a+new+job+application+in+Jarvi.+It+creates+the+profile+if+it+does+not+exist%2C+upload+the+file%2C++link+the+profile+to+the+recruitment+project%2C...\u0026amp;theme=3aadee90ce248321a1d14e1d\u0026amp;signature=3c15d0015b18827c9cb2926fa73f437652ce51e121f3a6a8b94d2dd83a9eca61\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/jarvi/ajsRUPPicFIhMUb9/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Jarvi API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3f51b5\">\u003clink data-mint-head rel=\"canonical\" href=\"https://api-docs.jarvi.tech/de/api-reference/applicants/post\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/de/api-reference/applicants/post.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://api-docs.jarvi.tech/#organization\",\"name\":\"Jarvi API\",\"url\":\"https://api-docs.jarvi.tech\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/jarvi/zfeOt5s4dppEKtLQ/logo/light.svg?fit=max\u0026auto=format\u0026n=zfeOt5s4dppEKtLQ\u0026q=85\u0026s=70ba4480bc5fa3b9cdada42ea035676e\"}},{\"@type\":\"WebSite\",\"@id\":\"https://api-docs.jarvi.tech#website\",\"name\":\"Jarvi API\",\"url\":\"https://api-docs.jarvi.tech\",\"publisher\":{\"@id\":\"https://api-docs.jarvi.tech/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://api-docs.jarvi.tech/de/api-reference/applicants/post#webpage\",\"url\":\"https://api-docs.jarvi.tech/de/api-reference/applicants/post\",\"name\":\"[Bewerbung] Erstellen oder aktualisieren\",\"description\":\"Save a new job application in Jarvi. It creates the profile if it does not exist, upload the file, link the profile to the recruitment project,...\",\"dateModified\":\"2025-10-18T13:18:24.463Z\",\"isPartOf\":{\"@id\":\"https://api-docs.jarvi.tech#website\"},\"breadcrumb\":{\"@id\":\"https://api-docs.jarvi.tech/de/api-reference/applicants/post#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://api-docs.jarvi.tech/de/api-reference/applicants/post#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"REST API Referenz\",\"item\":\"https://api-docs.jarvi.tech/de/api-reference/profiles/get\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"[Bewerbung] Erstellen oder aktualisieren\",\"item\":\"https://api-docs.jarvi.tech/de/api-reference/applicants/post\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://api-docs.jarvi.tech/de/api-reference/applicants/post#apireference\",\"headline\":\"[Bewerbung] Erstellen oder aktualisieren\",\"name\":\"[Bewerbung] Erstellen oder aktualisieren\",\"description\":\"Save a new job application in Jarvi. It creates the profile if it does not exist, upload the file, link the profile to the recruitment project,...\",\"url\":\"https://api-docs.jarvi.tech/de/api-reference/applicants/post\",\"mainEntityOfPage\":{\"@id\":\"https://api-docs.jarvi.tech/de/api-reference/applicants/post#webpage\"},\"dateModified\":\"2025-10-18T13:18:24.463Z\",\"publisher\":{\"@id\":\"https://api-docs.jarvi.tech/#organization\"},\"isPartOf\":{\"@id\":\"https://api-docs.jarvi.tech#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Jarvi API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Jarvi API","nav":{"global":null,"tabs":[{"tab":"English","pages":[{"title":"English","href":"/en/introduction"}]},{"tab":"Francais","pages":[{"title":"Francais","href":"/fr/introduction"}]},{"tab":"Español","pages":[{"title":"Español","href":"/es/introduction"}]},{"tab":"Nederlands","pages":[{"title":"Nederlands","href":"/nl/introduction"}]},{"tab":"Italiano","pages":[{"title":"Italiano","href":"/it/introduction"}]},{"tab":"Deutsch","groups":[{"group":"Allgemeine Informationen","pages":[{"title":"Einführung","href":"/de/introduction"},{"title":"Meine API-Schlüssel erhalten","href":"/de/api-keys"},{"title":"Benutzerdefinierte Felder","href":"/de/custom-fields"},{"title":"Suche","href":"/de/search"},{"title":"MCP (KI-Assistenten)","href":"/de/mcp"}]},{"group":"Anwendungsfälle","pages":[{"title":"Bewerbungen senden","href":"/de/use-cases/applicants"},{"title":"Projekte abrufen","href":"/de/use-cases/projects"}]},{"group":"REST API Referenz","pages":[{"title":"[Profile] Auflisten","openapi":"GET /rest/v2/profiles","href":"/de/api-reference/profiles/get"},{"title":"[Profile] Erstellen oder aktualisieren","openapi":"POST /rest/v2/profiles","description":"Save a profile in Jarvi. It creates the profile if it does not exist, updates it if it does.","href":"/de/api-reference/profiles/post"},{"title":"[Bewerbung] Erstellen oder aktualisieren","openapi":"POST /rest/v2/applicants","href":"/de/api-reference/applicants/post"},{"title":"[Projekte] Auflisten","openapi":"GET /rest/v2/projects","description":"Get all projects (recruitment, sales, etc.) with their custom fields, files, and more. This endpoint is not paginated, you got enverything at once.","href":"/de/api-reference/projects/get"},{"title":"[Projekte] Erstellen oder aktualisieren","openapi":"POST /rest/v2/projects","href":"/de/api-reference/projects/post"},{"title":"[Unternehmen] Auflisten","openapi":"GET /rest/v2/companies","href":"/de/api-reference/companies/get"},{"title":"[Unternehmen] Erstellen oder aktualisieren","openapi":"POST /rest/v2/companies","href":"/de/api-reference/companies/post"},{"title":"[Angebote] Auflisten","openapi":"GET /rest/v2/offers","href":"/de/api-reference/offers/get"}]},{"group":"GraphQL API Referenz","pages":[{"title":"GraphQL","openapi":"POST /graphql","href":"/de/api-reference/graphql"}]}]}]},"basePath":"","title":"[Bewerbung] Erstellen oder aktualisieren - Jarvi API","buildId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","deploymentId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-B7XKH4J3.js","utils-lOYzL7z-.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DF6jUUIM.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dpsj5f7C.js","snippetPresets-CYeiDe8v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CUFz1YZ_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D8H_iLS4.js","shallow-DdluZBHX.js","getApiPlaygroundDisplay-B9922vev.js","CodeSnippet-CMoRNGYs.js","CodeSnippets-DwyrPHuw.js","Page-DSVu9Ucl.js","getPastedJson-G-zIvlHh.js","icon-B03fnEy0.js","MethodPill-CW7teklc.js","DuplicateIcon-CtO8eekd.js","createIcon-DZTKdM_A.js","DynamicMarkdown-D5M2At0B.js","SectionHeading-C_2NaA2U.js","axios-vUo_bRtp.js","Markdown-D7QRHV3m.js","clsx-D1Z-ELXV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-lvhuD9Du.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CKfC4ywL.js"]}